Subject: bug#13987: 24.2; Screen updates messed up in mountain lion

From: Jan Djärv <[email-masked]>
Date: Sun, 5 May 2013 17:25:40 +0200

Hello.

I can't see this in 24.3 or the trunk.  Can you try 24.3?

	Jan D.

17 mar 2013 kl. 23:00 skrev Rene Miranda <[email-masked]>:

> This bug report will be sent to the Bug-GNU-Emacs mailing list
> and the GNU bug tracker at debbugs.gnu.org.  Please check that
> the From: line contains a valid email address.  After a delay of up
> to one day, you should receive an acknowledgement at that address.
> 
> Please write in English if possible, as the Emacs maintainers
> usually do not have translators for other languages.
> 
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
> 
> I visited a file that has more lines that fit in the screen. Then using the functions
> (scroll-up 1) and (scroll-down 1) defined in my .emacs file and bound to the keys
> option-up_arrow and option-down_arrow I  start scrolling up/down the text making
> sure that portions of the text scroll off the screen. Then I make those same portions
> of text scroll back to the screen. Instead of seeing the expected lines of text I see what
> looks like portions of the toolbar, one for each line of text that was scrolled off the screen
> before. See the attached screen shot.
> 
> If I then resize the window, the garbled screen goes away and I can see the text just fine,
> and if a try scrolling up and down it works just fine.
> 
> My version of emacs was downloaded from emacsformacosx.com.
> 
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /Applications/Emacs.app/Contents/Resources/etc/DEBUG.
> 
> 
> In GNU Emacs 24.2.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2012-08-27 on bob.porkrind.org
> Windowing system distributor `Apple', version 10.3.1187
> Configured using:
> `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
> '--with-ns' 'build_alias=i686-apple-darwin'
> 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.5''
> 
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: nil
>   locale-coding-system: nil
>   default enable-multibyte-characters: t
> 
> Major mode: Java/l
> 
> Minor modes in effect:
>   show-paren-mode: t
>   savehist-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   abbrev-mode: t
> 
> Recent input:
> M-x d <backspace> C-g C-x d <return> C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> e C-n e C-n C-n e <M-down> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> <M-up> 
> <M-up> <M-up> <M-up> <M-up> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <M-down> <M-down> <M-down> <M-down> 
> <M-down> <M-down> <escape> x e m a c s SPC SPC C-g 
> <escape> x r e p <tab> C-g <escape> x d e s c SPC f 
> u n <tab> <return> r e p o <tab> r t SPC e m <tab> 
> SPC SPC SPC SPC SPC <return> <escape> x d e s c SPC 
> f u n <tab> <return> r e p <tab> o r <tab> SPC e SPC 
> m SPC b u SPC <return> <menu-bar> <help-menu> <sen
> d-emacs-bug-report>
> 
> Recent messages:
> Making completion list...
> Quit
> Making completion list...
> Quit
> Making completion list...
> Type C-x 1 to delete the help window.
> You can run the command `describe-function' with C-h f
> Making completion list... [2 times]
> 
> You can run the command `describe-function' with C-h f
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils help-fns help-mode view cc-mode cc-fonts easymenu
> cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
> dired regexp-opt server misterioso-theme paren savehist time-date
> tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
> fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
> select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
> frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
> tai-viet lao korean japanese hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
> simple abbrev minibuffer loaddefs button faces cus-face files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process ns
> multi-tty emacs)
> <Screen Shot 2013-03-17 at 4.57.29 PM.png>